Botan: Botan::BER_Object Class Reference

Botan 1.10.16

Public Member Functions | Public Attributes | List of all members
Botan::BER_Object Class Reference

`#include <asn1_int.h>`

## Public Member Functions
void | assert_is_a (ASN1_Tag, ASN1_Tag)

## Public Attributes
ASN1_Tag | class_tag
ASN1_Tag | type_tag
SecureVector< byte > | value

## Detailed Description

BER Encoded Object

Definition at line 77 of file asn1_int.h.

## Member Function Documentation

## ◆ assert_is_a()

void Botan::BER_Object::assert_is_a | ( | ASN1_Tag | type_tag,
|  | ASN1_Tag | class_tag
| ) |  |

Definition at line 144 of file ber_dec.cpp.

Referenced by Botan::BER_Decoder::decode(), Botan::BER_Decoder::decode_null(), and Botan::BER_Decoder::start_cons().

145 {
146 if(this->type_tag != type_tag || this->class_tag != class_tag)
147 throw BER_Decoding_Error("Tag mismatch when decoding");
148 }
Botan::BER_Object::class_tag
ASN1_Tag class_tag
Definition: asn1_int.h:82
Botan::BER_Object::type_tag
ASN1_Tag type_tag
Definition: asn1_int.h:82

## Member Data Documentation

## ◆ class_tag

ASN1_Tag Botan::BER_Object::class_tag

Definition at line 82 of file asn1_int.h.

Referenced by Botan::BER::decode(), Botan::OID::decode_from(), Botan::AlternativeName::decode_from(), Botan::BER_Decoder::decode_optional(), Botan::BER_Decoder::decode_optional_string(), Botan::BER_Decoder::get_next_object(), Botan::PKCS10_Request::PKCS10_Request(), Botan::X509_Certificate::X509_Certificate(), and Botan::X509_CRL::X509_CRL().

## ◆ type_tag

ASN1_Tag Botan::BER_Object::type_tag

Definition at line 82 of file asn1_int.h.

Referenced by Botan::BER::decode(), Botan::ASN1_String::decode_from(), Botan::OID::decode_from(), Botan::EAC_Time::decode_from(), Botan::X509_Time::decode_from(), Botan::AlternativeName::decode_from(), Botan::ASN1_EAC_String::decode_from(), Botan::BER_Decoder::decode_optional(), Botan::BER_Decoder::decode_optional_string(), Botan::EC_Group::EC_Group(), Botan::BER_Decoder::get_next_object(), Botan::PKCS10_Request::PKCS10_Request(), Botan::X509_Certificate::X509_Certificate(), and Botan::X509_CRL::X509_CRL().

## ◆ value

SecureVector<byte> Botan::BER_Object::value

Definition at line 83 of file asn1_int.h.

Referenced by Botan::BER::decode(), Botan::BER_Decoder::decode(), Botan::OID::decode_from(), Botan::EAC_Time::decode_from(), Botan::AlternativeName::decode_from(), Botan::BER_Decoder::decode_null(), Botan::BER_Decoder::decode_optional(), Botan::BER_Decoder::get_next_object(), Botan::PKCS10_Request::PKCS10_Request(), Botan::BER_Decoder::start_cons(), Botan::ASN1::to_string(), Botan::X509_Certificate::X509_Certificate(), and Botan::X509_CRL::X509_CRL().

The documentation for this class was generated from the following files:

- src/asn1/asn1_int.h
- src/asn1/ber_dec.cpp